<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2008 Mario Haim (mario.haim@mediatool.at)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * Plugin 'Flexform help' for the 'mh_omsqlio' extension.
 *
 * @author	Mario Haim <mario@bramble-it.com>
 */

if(class_exists('tslib_pibase')) {
	class tx_mhomsqlio_tceforms extends tslib_pibase {
		function getMsg($_name) {
			$filename = t3lib_extMgm::extPath('mh_omsqlio').'locallang_db.xml';
			if(file_exists($filename)) {
				$file = file_get_contents($filename);
				$temp = explode('<label index="pi_flexform.error.'.$_name.'">', $file);
				$temp2 = explode('</label>', $temp[1]);
			} else $temp2[0] = $this->error[$_name];
			return $temp2[0];
		}
		
		function itemsProcFunc_template(&$params, &$pObj) {
			$params['items'][] = array($this->getMsg('template-fix.above'), '-');
			
			$sPath = PATH_site.'uploads/tx_mhomsqlio/';
			$oDir = opendir($sPath);
			while(false !== ($sFile = readdir($oDir))) {
				if(is_file($sPath.$sFile)) {
					$params['items'][] = array($sFile, $sFile);
				}
			}
			if(count($params['items']) <= 1) $params['items'][] = array($this->getMsg('template-fix.no'), '-');
			return;
		}
	}
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mh_omsqlio/class.tx_mhomsqlio_tceforms.php']) {
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mh_omsqlio/class.tx_mhomsqlio_tceforms.php']);
}

?>